| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Data Fields
Serial_ISF_UART1_TDeviceData Struct Reference
Serial_ISF_UART1 module documentation

`#include <Serial_ISF_UART1.h>`

Collaboration diagram for Serial_ISF_UART1_TDeviceData:

## Data Fields
uint16_t | SerFlag
uint16_t | InpRecvDataNum
uint8_t * | InpDataPtr
uint16_t | InpDataNumReq
uint16_t | OutSentDataNum
uint8_t * | OutDataPtr
uint16_t | OutDataNumReq
LDD_RTOS_TISRVectorSettings | SavedISRSettings
LDD_TUserData * | UserDataPtr

## Detailed Description

Device data structure type

Definition at line 149 of file Serial_ISF_UART1.h.

## Field Documentation

uint16_t InpDataNumReq

The counter of characters to receive by ReceiveBlock()

Definition at line 153 of file Serial_ISF_UART1.h.

Referenced by Serial_ISF_UART1_Init(), and Serial_ISF_UART1_ReceiveBlock().

uint8_t* InpDataPtr

The buffer pointer for received characters

Definition at line 152 of file Serial_ISF_UART1.h.

Referenced by Serial_ISF_UART1_Init(), and Serial_ISF_UART1_ReceiveBlock().

uint16_t InpRecvDataNum

The counter of received characters

Definition at line 151 of file Serial_ISF_UART1.h.

Referenced by Serial_ISF_UART1_Init(), and Serial_ISF_UART1_ReceiveBlock().

uint16_t OutDataNumReq

The counter of characters to be send by SendBlock()

Definition at line 156 of file Serial_ISF_UART1.h.

Referenced by Serial_ISF_UART1_Init(), and Serial_ISF_UART1_SendBlock().

uint8_t* OutDataPtr

The buffer pointer for data to be transmitted

Definition at line 155 of file Serial_ISF_UART1.h.

Referenced by Serial_ISF_UART1_Init(), and Serial_ISF_UART1_SendBlock().

uint16_t OutSentDataNum

The counter of sent characters

Definition at line 154 of file Serial_ISF_UART1.h.

Referenced by Serial_ISF_UART1_Init(), and Serial_ISF_UART1_SendBlock().

LDD_RTOS_TISRVectorSettings SavedISRSettings

Definition at line 157 of file Serial_ISF_UART1.h.

Referenced by Serial_ISF_UART1_Init().

uint16_t SerFlag

Flags for serial communication

Definition at line 150 of file Serial_ISF_UART1.h.

Referenced by Serial_ISF_UART1_Init(), Serial_ISF_UART1_Interrupt(), and Serial_ISF_UART1_SendBlock().

LDD_TUserData* UserDataPtr

Pointer to user data

Definition at line 158 of file Serial_ISF_UART1.h.

Referenced by Serial_ISF_UART1_Init().

The documentation for this struct was generated from the following file:

- Serial_ISF_UART1.h

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.